Bug 896739 - stap -L "**" gives a lot of semantic errors
stap -L "**" gives a lot of semantic errors
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: systemtap (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Frank Ch. Eigler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 16:47 EST by Alexander Kurtakov
Modified: 2013-04-23 11:59 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 11:59:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
error output (676.52 KB, text/plain)
2013-01-17 16:47 EST, Alexander Kurtakov
no flags Details
stap-report output (56.02 KB, text/plain)
2013-01-17 17:12 EST, Frank Ch. Eigler
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 13074 None None None Never
Sourceware 13501 None None None Never

  None (edit)
Description Alexander Kurtakov 2013-01-17 16:47:12 EST
Created attachment 680555 [details]
error output

This functuonality is critical for eclipse systemtap plugin to load probes.
Comment 1 Frank Ch. Eigler 2013-01-17 17:12:31 EST
Created attachment 680591 [details]
stap-report output
Comment 2 David Smith 2013-01-18 12:13:39 EST
This is related to sourceware bugs 13501 (Some arguments for 'stap -L "*, *.*, *.*.*" ' probe points not found) and 13074 (Some nfs tapset probes broken under linux 3.1-rc1).
Comment 3 Frank Ch. Eigler 2013-01-23 13:42:54 EST
upstream commit 9f20af9 fixes this
Comment 4 Alexander Kurtakov 2013-04-23 11:59:57 EDT
Confirm that systemtap-2.1-3.fc18 works properly.

Note You need to log in before you can comment on or make changes to this bug.